#
# spec file for package rubygem-studio_api
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-studio_api
Version:        3.2.2
Release:        1.1
%define mod_name studio_api
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  ruby-macros >= 5
BuildRequires:  %{ruby}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc > 3.10}
Url:            http://github.com/jreidinger/studio_api
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Intuitive ruby bindings to Studio Api Interface
License:        Ruby
Group:          Development/Languages/Ruby

%description
Studio Api makes it easier to use SuSE Studio (http://susestudio.com) via API.
Instead of adapting each ActiveResource to its behavior and
manually adding multipart file upload it wrapp in in Active
Resource like interface. It is possible to define credentials
for whole api, or use it per partes, so it allow using it for
different studio users together.

%prep

%build

%install
%gem_install \
  --doc-files="README.md" \
  -f

%gem_packages

%changelog
* Thu Jan 29 2015 tampakrap@opensuse.org
- Use SPDX format for License
* Tue Nov  6 2012 coolo@suse.com
- updated to version 3.2.2
  - fix serialization of open perts in case there is just one port
* Mon Nov  5 2012 coolo@suse.com
- updated to version 3.2.1
  - fix dasherizing of keys so all keys should be properly passed to
  API
* Tue Feb 21 2012 jreidinger@suse.com
- add feature for chunk processing of downloaded overlay files
  and rpms ( thanks to vmoravec )
- 3.2.0
* Mon Nov 28 2011 jreidinger@suse.com
- rails 3.1 fixes
-- fix persistency when model created by new
- improve documentation of configuration of appliance
- 3.1.4
* Wed Aug 17 2011 jreidinger@novell.com
- rails 3.1 fixes:
-- fix forced prefix in rails 3.1
-- fix rails 3.1 default for activeResource ( json ) - force xml
  format
- 3.1.3
* Mon Jul 18 2011 Flavio Castelli <flavio@castelli.name>
- ensure the timeout value is properly set.
  See https://github.com/jreidinger/studio_api/issues/3
  for more details.
- 3.1.2
* Sat May 14 2011 Flavio Castelli <flavio@castelli.name>
- code refactorying of the unit tests
- better handling of errors raised during image building
- created 3.1.1
* Wed Apr  6 2011 jreidinger@novell.com
- add support for test drive and fixed test( contributed by
    bjorn.maeland@gmail.com https://github.com/bmaland)
- 3.1.0
* Mon Feb 14 2011 jreidinger@novell.com
- split doc and tests from rest of rpms packages to save space
- fix dependency in gem for active_resource
- improve summary
- 3.0.2
* Mon Feb 14 2011 jreidinger@novell.com
- note in gem description link to suse studio public instance
  (thanks to flavio)
- relicense to GPLv2 or The Ruby License
- 3.0.1
* Wed Feb  2 2011 jreidinger@novell.com
- allow to use studio API v2
- 3.0.0
* Wed Jan 26 2011 jreidinger@novell.com
- fix crash if software map is empty
- 2.4.0
* Thu Dec 16 2010 jreidinger@novell.com
- fix compatibility with rails 3.0
- 2.3.0
* Thu Dec  9 2010 jreidinger@novell.com
- fix uploading gpg key with File object
- fix studio status in studio maintenance mode
- add to documentation example of mocking
- 2.2.0
* Tue Nov 30 2010 jreidinger@novell.com
- fix passing options to installed software
- 2.1.0
* Mon Nov 29 2010 jreidinger@novell.com
- add ability too pass more parameters to installed software
- 2.0.0
* Mon Nov 29 2010 jreidinger@novell.com
- improve escaping of parameters
- fix uploading gpg_key as file
- 1.2.0
* Fri Nov 19 2010 jreidinger@novell.com
- fix issue with empty body of post and put
- 1.0.1
* Fri Nov 19 2010 jreidinger@novell.com
- consistent behavior for uploading/downloading
- 1.0.0
* Mon Nov 15 2010 jreidinger@novell.com
- improve documentation and return better return values when using
  direct requests
- 0.2.0
* Fri Nov 12 2010 jreidinger@novell.com
- initial submit
